%global oname de.tudarmstadt.ukp.dkpro.core-asl
Name:          dkpro-core-asl
Version:       1.7.0
Release:       1%{?dist}
Summary:       Collection of software components for Natural Language Processing
License:       ASL 2.0
URL:           https://dkpro.github.io/dkpro-core/
Source0:       https://github.com/dkpro/dkpro-core/archive/%{oname}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.cybozu.labs:langdetect)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.ibm.icu:icu4j)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-dbutils:commons-dbutils)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-jxpath:commons-jxpath)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging-api)
BuildRequires: mvn(it.unimi.dsi:fastutil)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.commons:commons-compress)
BuildRequires: mvn(org.apache.ivy:ivy)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.uima:jcasgen-maven-plugin)
BuildRequires: mvn(org.apache.uima:uimafit-core)
BuildRequires: mvn(org.apache.uima:uimaj-core)
BuildRequires: mvn(org.apache.uima:uimaj-document-annotation)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.hsqldb:hsqldb)
BuildRequires: mvn(org.jsoup:jsoup)
BuildRequires: mvn(org.springframework:spring-core)

BuildArch:     noarch

%description
Collection of software components for
natural language processing (NLP)
based on the Apache UIMA framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n dkpro-core-%{oname}-%{version}
# Cleanup
find . -name '*.jar' -print -delete
find . -name '*.class' -print -delete
rm -r apidocs/*

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>de.tudarmstadt.ukp.dkpro.core</groupId>"

%pom_remove_plugin -r :uimafit-maven-plugin
%pom_remove_plugin -r :apache-rat-plugin

%pom_xpath_set pom:properties/pom:lucene.version 3

%pom_disable_module de.tudarmstadt.ukp.dkpro.core.distribution-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.docbook-asl

# Use unavailable dependencies
# de.tudarmstadt.ukp.wikipedia:
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.jwpl-asl
# org.apache.lucene:lucene-snowball:3.0.3
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.snowball-asl
# org.annolab.tt4j:org.annolab.tt4j:1.2.1
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.treetagger-asl
# de.fau.cs.osr.ptk:ptk-common:1.1.0
# info.bliki.wiki:bliki-core:3.0.19
# org.sweble.wikitext:swc-engine:1.1.0
# de.tudarmstadt.ukp.wikipedia:de.tudarmstadt.ukp.wikipedia.api:0.9.2
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.bliki-asl
# cc.mallet:mallet:2.0.7
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.mallet-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.ditop-asl
# eu.clarin.weblicht:wlfxb:1.3.1
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.tcf-asl
# com.googlecode.jweb1t:com.googlecode.jweb1t:1.3.0
# edu.berkeley.nlp:berkeleylm:1.1.2
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.frequency-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.ldweb1t-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.textnormalizer-asl
# com.clearnlp:clearnlp:2.0.2
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.clearnlp-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.web1t-asl
# org.apache.commons:commons-math:2.2
# de.drni.bananasplit:banana-split:0.4.0
# de.uni_leipzig.asv.toolbox:toolbox-utils:1.0
# com.googlecode.jweb1t:com.googlecode.jweb1t:1.3.0
# de.abelssoft:jwordsplitter:3.2
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.decompounding-asl
# de.tudarmstadt.ukp.dkpro.core:de.tudarmstadt.ukp.dkpro.core.hunpos-bin:20130507.0
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.hunpos-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.maltparser-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.mstparser-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.jazzy-asl
# org.languagetool:languagetool-core:2.7
# org.languagetool:language-all:2.7
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.languagetool-asl
# org.chasen.mecab:mecab-java:0.993
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.mecab-asl
# edu.washington.cs.knowitall:morpha-stemmer:1.0.5
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.morpha-asl
# org.knallgrau.utils:textcat:1.0.1
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.textcat-asl

for p in \
 de.tudarmstadt.ukp.dkpro.core.api.parameter-asl \
 de.tudarmstadt.ukp.dkpro.core.testing-asl \
 de.tudarmstadt.ukp.dkpro.core.io.penntree-asl \
 de.tudarmstadt.ukp.dkpro.core.io.negra-asl \
 de.tudarmstadt.ukp.dkpro.core.io.combination-asl \
 de.tudarmstadt.ukp.dkpro.core.io.conll-asl ; do
%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin:3.2 ${p} "
<configuration>
 <source>1.8</source>
 <target>1.8</target>
</configuration>"
done

%pom_disable_module de.tudarmstadt.ukp.dkpro.core.api.io-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.aclanthology-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.text-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.imscwb-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.tei-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.performance-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.bincas-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.xml-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.bnc-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.combination-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.penntree-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.conll-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.negra-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.pdf-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.tiger-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.tuepp-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.io.xmi-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.opennlp-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.posfilter-asl
%pom_disable_module de.tudarmstadt.ukp.dkpro.core.examples-asl

# No test deps available
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.opennlp-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.opennlp-asl
rm -r de.tudarmstadt.ukp.dkpro.core.opennlp-asl/src/test
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.io.penntree-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.io.penntree-asl
rm -r de.tudarmstadt.ukp.dkpro.core.io.penntree-asl/src/test
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.io.imscwb-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.io.imscwb-asl
rm -r de.tudarmstadt.ukp.dkpro.core.io.imscwb-asl/src/test
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.performance-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.performance-asl
rm -r de.tudarmstadt.ukp.dkpro.core.performance-asl/src/test
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.io.tiger-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.io.tiger-asl
rm -r de.tudarmstadt.ukp.dkpro.core.io.tiger-asl/src/test
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.langdetect-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.langdetect-asl
rm -r de.tudarmstadt.ukp.dkpro.core.langdetect-asl/src/test
%pom_remove_plugin -r :maven-dependency-plugin de.tudarmstadt.ukp.dkpro.core.posfilter-asl
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" de.tudarmstadt.ukp.dkpro.core.posfilter-asl
rm -r de.tudarmstadt.ukp.dkpro.core.posfilter-asl/src/test

# NullPointerException: null
rm -r de.tudarmstadt.ukp.dkpro.core.io.xml-asl/src/test/java/de/tudarmstadt/ukp/dkpro/core/io/xml/XmlReaderXPathFeatureTest.java \
 de.tudarmstadt.ukp.dkpro.core.io.xml-asl/src/test/java/de/tudarmstadt/ukp/dkpro/core/io/xml/XmlReaderXPathIdValidationTest.java
# ComparisonFailure: expected:<...: <null>
rm -r de.tudarmstadt.ukp.dkpro.core.examples-asl/src/test/java/de/tudarmstadt/ukp/dkpro/core/examples/example1/NameAnnotationPipelineTest.java
# AssertionError
rm -r de.tudarmstadt.ukp.dkpro.core.api.metadata-asl/src/test/java/de/tudarmstadt/ukp/dkpro/core/api/metadata/type/DocumentMetaDataTest.java

sed -i 's/\r//' README.txt

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Sep 04 2015 gil cattaneo <puntogil@libero.it> 1.7.0-1
- initial rpm
